fixes for host gcc 4.6.1
[zpugcc/jano.git] / toolchain / dejagnu / example / calc / Makefile.in
blobea1f480c7952fcaf11edf909bf256055aa4aa533
1 # Makefile.in generated by automake 1.6 from Makefile.am.
2 # @configure_input@
4 # Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
5 # Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
15 @SET_MAKE@
17 # Copyright (C) 1992 - 2001 Free Software Foundation, Inc.
19 # This program is free software; you can redistribute it and/or modify
20 # it under the terms of the GNU General Public License as published by
21 # the Free Software Foundation; either version 1, or (at your option)
22 # any later version.
24 # This program is distributed in the hope that it will be useful,
25 # but WITHOUT ANY WARRANTY; without even the implied warranty of
26 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
27 # GNU General Public License for more details.
29 # You should have received a copy of the GNU General Public License
30 # along with this program; if not, write to the Free Software
31 # Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
33 SHELL = @SHELL@
35 srcdir = @srcdir@
36 top_srcdir = @top_srcdir@
37 VPATH = @srcdir@
38 prefix = @prefix@
39 exec_prefix = @exec_prefix@
41 bindir = @bindir@
42 sbindir = @sbindir@
43 libexecdir = @libexecdir@
44 datadir = @datadir@
45 sysconfdir = @sysconfdir@
46 sharedstatedir = @sharedstatedir@
47 localstatedir = @localstatedir@
48 libdir = @libdir@
49 infodir = @infodir@
50 mandir = @mandir@
51 includedir = @includedir@
52 oldincludedir = /usr/include
53 pkgdatadir = $(datadir)/@PACKAGE@
54 pkglibdir = $(libdir)/@PACKAGE@
55 pkgincludedir = $(includedir)/@PACKAGE@
56 top_builddir = .
58 ACLOCAL = @ACLOCAL@
59 AUTOCONF = @AUTOCONF@
60 AUTOMAKE = @AUTOMAKE@
61 AUTOHEADER = @AUTOHEADER@
63 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
64 INSTALL = @INSTALL@
65 INSTALL_PROGRAM = @INSTALL_PROGRAM@
66 INSTALL_DATA = @INSTALL_DATA@
67 install_sh_DATA = $(install_sh) -c -m 644
68 install_sh_PROGRAM = $(install_sh) -c
69 INSTALL_SCRIPT = @INSTALL_SCRIPT@
70 INSTALL_HEADER = $(INSTALL_DATA)
71 transform = @program_transform_name@
72 NORMAL_INSTALL = :
73 PRE_INSTALL = :
74 POST_INSTALL = :
75 NORMAL_UNINSTALL = :
76 PRE_UNINSTALL = :
77 POST_UNINSTALL = :
79 EXEEXT = @EXEEXT@
80 OBJEXT = @OBJEXT@
81 PATH_SEPARATOR = @PATH_SEPARATOR@
82 AMTAR = @AMTAR@
83 AWK = @AWK@
84 CC = @CC@
85 DEPDIR = @DEPDIR@
86 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
87 MAINT = @MAINT@
88 PACKAGE = @PACKAGE@
89 STRIP = @STRIP@
90 VERSION = @VERSION@
91 am__include = @am__include@
92 am__quote = @am__quote@
93 install_sh = @install_sh@
95 AUTOMAKE_OPTIONS = dejagnu
97 noinst_PROGRAMS = calc
98 calc_SOURCES = calc.c
100 RUNTESTDEFAULTFLAGS = --tool calc CALC=`pwd`/calc --srcdir $$srcdir/testsuite
101 subdir = .
102 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
103 mkinstalldirs = $(SHELL) $(top_srcdir)/../../mkinstalldirs
104 CONFIG_HEADER = calc.h
105 CONFIG_CLEAN_FILES =
106 noinst_PROGRAMS = calc$(EXEEXT)
107 PROGRAMS = $(noinst_PROGRAMS)
109 am_calc_OBJECTS = calc.$(OBJEXT)
110 calc_OBJECTS = $(am_calc_OBJECTS)
111 calc_LDADD = $(LDADD)
112 calc_DEPENDENCIES =
113 calc_LDFLAGS =
115 DEFS = @DEFS@
116 DEFAULT_INCLUDES = -I. -I$(srcdir) -I.
117 CPPFLAGS = @CPPFLAGS@
118 LDFLAGS = @LDFLAGS@
119 LIBS = @LIBS@
120 depcomp = $(SHELL) $(top_srcdir)/../../depcomp
121 am__depfiles_maybe = depfiles
122 @AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/calc.Po
123 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
124 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
125 CCLD = $(CC)
126 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
127 CFLAGS = @CFLAGS@
128 DIST_SOURCES = $(calc_SOURCES)
129 DIST_COMMON = README ../../depcomp ../../install-sh ../../missing \
130 ../../mkinstalldirs AUTHORS COPYING ChangeLog INSTALL \
131 Makefile.am Makefile.in NEWS aclocal.m4 calc.h.in configure \
132 configure.in missing
133 SOURCES = $(calc_SOURCES)
135 all: calc.h
136 $(MAKE) $(AM_MAKEFLAGS) all-am
138 .SUFFIXES:
139 .SUFFIXES: .c .o .obj
140 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4)
141 cd $(top_srcdir) && \
142 $(AUTOMAKE) --gnu Makefile
143 Makefile: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.in $(top_builddir)/config.status
144 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)
146 $(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
147 $(SHELL) ./config.status --recheck
148 $(srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
149 cd $(srcdir) && $(AUTOCONF)
151 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ configure.in
152 cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
154 calc.h: stamp-h1
155 @if test ! -f $@; then \
156 rm -f stamp-h1; \
157 $(MAKE) stamp-h1; \
158 else :; fi
160 stamp-h1: $(srcdir)/calc.h.in $(top_builddir)/config.status
161 @rm -f stamp-h1
162 cd $(top_builddir) && $(SHELL) ./config.status calc.h
164 $(srcdir)/calc.h.in: @MAINTAINER_MODE_TRUE@ $(top_srcdir)/configure.in $(ACLOCAL_M4)
165 cd $(top_srcdir) && $(AUTOHEADER)
166 touch $(srcdir)/calc.h.in
168 distclean-hdr:
169 -rm -f calc.h
171 clean-noinstPROGRAMS:
172 -test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)
173 calc$(EXEEXT): $(calc_OBJECTS) $(calc_DEPENDENCIES)
174 @rm -f calc$(EXEEXT)
175 $(LINK) $(calc_LDFLAGS) $(calc_OBJECTS) $(calc_LDADD) $(LIBS)
177 mostlyclean-compile:
178 -rm -f *.$(OBJEXT) core *.core
180 distclean-compile:
181 -rm -f *.tab.c
183 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/calc.Po@am__quote@
185 distclean-depend:
186 -rm -rf ./$(DEPDIR)
188 .c.o:
189 @AMDEP_TRUE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
190 @AMDEP_TRUE@ depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
191 @AMDEP_TRUE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
192 $(COMPILE) -c `test -f $< || echo '$(srcdir)/'`$<
194 .c.obj:
195 @AMDEP_TRUE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
196 @AMDEP_TRUE@ depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
197 @AMDEP_TRUE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
198 $(COMPILE) -c `cygpath -w $<`
199 CCDEPMODE = @CCDEPMODE@
200 uninstall-info-am:
202 ETAGS = etags
203 ETAGSFLAGS =
205 tags: TAGS
207 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
208 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
209 unique=`for i in $$list; do \
210 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
211 done | \
212 $(AWK) ' { files[$$0] = 1; } \
213 END { for (i in files) print i; }'`; \
214 mkid -fID $$unique
216 TAGS: $(HEADERS) $(SOURCES) calc.h.in $(TAGS_DEPENDENCIES) \
217 $(TAGS_FILES) $(LISP)
218 tags=; \
219 here=`pwd`; \
220 list='$(SOURCES) $(HEADERS) calc.h.in $(LISP) $(TAGS_FILES)'; \
221 unique=`for i in $$list; do \
222 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
223 done | \
224 $(AWK) ' { files[$$0] = 1; } \
225 END { for (i in files) print i; }'`; \
226 test -z "$(ETAGS_ARGS)$$tags$$unique" \
227 || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
228 $$tags $$unique
230 GTAGS:
231 here=`$(am__cd) $(top_builddir) && pwd` \
232 && cd $(top_srcdir) \
233 && gtags -i $(GTAGS_ARGS) $$here
235 distclean-tags:
236 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH
237 RUNTESTFLAGS =
238 DEJATOOL = $(PACKAGE)
239 EXPECT = expect
240 RUNTEST = runtest
242 check-DEJAGNU: site.exp
243 srcdir=`$(am__cd) $(srcdir) && pwd`; export srcdir; \
244 EXPECT=$(EXPECT); export EXPECT; \
245 runtest=$(RUNTEST); \
246 if $(SHELL) -c "$$runtest --version" > /dev/null 2>&1; then \
247 l='$(DEJATOOL)'; for tool in $$l; do \
248 $$runtest $(AM_RUNTESTFLAGS) $(RUNTESTDEFAULTFLAGS) $(RUNTESTFLAGS); \
249 done; \
250 else echo "WARNING: could not find \`runtest'" 1>&2; :;\
252 site.exp: Makefile
253 @echo 'Making a new site.exp file...'
254 @echo '## these variables are automatically generated by make ##' >site.tmp
255 @echo '# Do not edit here. If you wish to override these values' >>site.tmp
256 @echo '# edit the last section' >>site.tmp
257 @echo 'set tool $(DEJATOOL)' >>site.tmp
258 @echo 'set srcdir $(srcdir)' >>site.tmp
259 @echo "set objdir `pwd`" >>site.tmp
260 @echo '## All variables above are generated by configure. Do Not Edit ##' >>site.tmp
261 @test ! -f site.exp || \
262 sed '1,/^## All variables above are.*##/ d' site.exp >> site.tmp
263 @-rm -f site.bak
264 @test ! -f site.exp || mv site.exp site.bak
265 @mv site.tmp site.exp
266 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
268 top_distdir = .
269 distdir = $(PACKAGE)-$(VERSION)
271 am__remove_distdir = \
272 { test ! -d $(distdir) \
273 || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
274 && rm -fr $(distdir); }; }
276 GZIP_ENV = --best
277 distcleancheck_listfiles = find . -type f -print
279 distdir: $(DISTFILES)
280 $(am__remove_distdir)
281 mkdir $(distdir)
282 $(mkinstalldirs) $(distdir)/../..
283 @for file in $(DISTFILES); do \
284 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
285 dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
286 if test "$$dir" != "$$file" && test "$$dir" != "."; then \
287 dir="/$$dir"; \
288 $(mkinstalldirs) "$(distdir)$$dir"; \
289 else \
290 dir=''; \
291 fi; \
292 if test -d $$d/$$file; then \
293 cp -pR $$d/$$file $(distdir)$$dir \
294 || exit 1; \
295 else \
296 test -f $(distdir)/$$file \
297 || cp -p $$d/$$file $(distdir)/$$file \
298 || exit 1; \
299 fi; \
300 done
301 -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
302 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
303 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
304 ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
305 || chmod -R a+r $(distdir)
306 dist-gzip: distdir
307 $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
308 $(am__remove_distdir)
310 dist dist-all: distdir
311 $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
312 $(am__remove_distdir)
314 # This target untars the dist file and tries a VPATH configuration. Then
315 # it guarantees that the distribution is self-contained by making another
316 # tarfile.
317 distcheck: dist
318 $(am__remove_distdir)
319 GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf -
320 chmod -R a-w $(distdir); chmod a+w $(distdir)
321 mkdir $(distdir)/=build
322 mkdir $(distdir)/=inst
323 chmod a-w $(distdir)
324 dc_install_base=`$(am__cd) $(distdir)/=inst && pwd` \
325 && cd $(distdir)/=build \
326 && ../configure --srcdir=.. --prefix=$$dc_install_base \
327 $(DISTCHECK_CONFIGURE_FLAGS) \
328 && $(MAKE) $(AM_MAKEFLAGS) \
329 && $(MAKE) $(AM_MAKEFLAGS) dvi \
330 && $(MAKE) $(AM_MAKEFLAGS) check \
331 && $(MAKE) $(AM_MAKEFLAGS) install \
332 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
333 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
334 && (test `find $$dc_install_base -type f -print | wc -l` -le 1 \
335 || { echo "ERROR: files left after uninstall:" ; \
336 find $$dc_install_base -type f -print ; \
337 exit 1; } >&2 ) \
338 && $(MAKE) $(AM_MAKEFLAGS) dist-gzip \
339 && rm -f $(distdir).tar.gz \
340 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
341 $(am__remove_distdir)
342 @echo "$(distdir).tar.gz is ready for distribution" | \
343 sed 'h;s/./=/g;p;x;p;x'
344 distcleancheck: distclean
345 if test '$(srcdir)' = . ; then \
346 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
347 exit 1 ; \
349 test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
350 || { echo "ERROR: files left after distclean:" ; \
351 $(distcleancheck_listfiles) ; \
352 exit 1; } >&2
353 check-am: all-am
354 $(MAKE) $(AM_MAKEFLAGS) check-DEJAGNU
355 check: check-am
356 all-am: Makefile $(PROGRAMS) calc.h
358 installdirs:
360 install: install-am
361 install-exec: install-exec-am
362 install-data: install-data-am
363 uninstall: uninstall-am
365 install-am: all-am
366 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
368 installcheck: installcheck-am
369 install-strip:
370 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
371 INSTALL_STRIP_FLAG=-s \
372 `test -z '$(STRIP)' || \
373 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
374 mostlyclean-generic:
376 clean-generic:
378 distclean-generic:
379 -rm -f Makefile $(CONFIG_CLEAN_FILES) stamp-h stamp-h[0-9]*
381 maintainer-clean-generic:
382 @echo "This command is intended for maintainers to use"
383 @echo "it deletes files that may require special tools to rebuild."
384 clean: clean-am
386 clean-am: clean-generic clean-noinstPROGRAMS mostlyclean-am
388 distclean: distclean-am
389 -rm -f config.status config.cache config.log
390 distclean-am: clean-am distclean-compile distclean-depend \
391 distclean-generic distclean-hdr distclean-tags
393 dvi: dvi-am
395 dvi-am:
397 info: info-am
399 info-am:
401 install-data-am:
403 install-exec-am:
405 install-info: install-info-am
407 install-man:
409 installcheck-am:
411 maintainer-clean: maintainer-clean-am
413 maintainer-clean-am: distclean-am maintainer-clean-generic
415 mostlyclean: mostlyclean-am
417 mostlyclean-am: mostlyclean-compile mostlyclean-generic
419 uninstall-am: uninstall-info-am
421 .PHONY: GTAGS all all-am check check-DEJAGNU check-am clean \
422 clean-generic clean-noinstPROGRAMS dist dist-all dist-gzip \
423 distcheck distclean distclean-compile distclean-depend \
424 distclean-generic distclean-hdr distclean-tags distcleancheck \
425 distdir dvi dvi-am info info-am install install-am install-data \
426 install-data-am install-exec install-exec-am install-info \
427 install-info-am install-man install-strip installcheck \
428 installcheck-am installdirs maintainer-clean \
429 maintainer-clean-generic mostlyclean mostlyclean-compile \
430 mostlyclean-generic tags uninstall uninstall-am \
431 uninstall-info-am
433 # Tell versions [3.59,3.63) of GNU make to not export all variables.
434 # Otherwise a system limit (for SysV at least) may be exceeded.
435 .NOEXPORT: